#
# spec file for package dirmngr (Version 0.9.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl cyrus-sasl-devel db db-devel db42 diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 less libacl libassuan libattr libcom_err libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libksba libksba-devel libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openslp openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           dirmngr
BuildRequires:  db-devel krb5 libassuan libgcrypt-devel libksba-devel openldap2 openldap2-devel
URL:            http://www.gnupg.org/aegypten/
Version:        0.9.2
Release:        15.2
%define pthversion 2.0.4
Requires:       db, openssl, libgcrypt, libksba 
Summary:        A Client for Managing and Downloading CRLs
License:        GPL
Group:          Productivity/Networking/LDAP/Utilities
Autoreqprov:    on
Source:         dirmngr-%{version}.tar.bz2
Source1:        pth-%pthversion.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Dirmngr is a client for managing and downloading certificate revocation
lists (CRLs) for X509 certificates and for downloading the certificates
themselves.



Authors:
--------
    Marcus Brinkmann  <marcus@g10code.com>
    Steffen Hansen    <steffen@klaralvdalens-datakonsult.se>
    Werner Koch       <wk@gnupg.org>
    Bernhard Reiter   <bernhard@intevation.de>

%debug_package
%prep
%setup -q -b 1

%build
cd ../pth-%pthversion
CFLAGS="$RPM_OPT_FLAGS" ./configure --disable-shared
make
make test
cd -
./autogen.sh
CFLAGS="$RPM_OPT_FLAGS  -I$PWD/../pth-%pthversion -DLDAP_DEPRECATED" \
LDFLAGS="-L$PWD/../pth-%pthversion/.libs" \
PATH="$PWD/../pth-%pthversion/:$PATH" \
./configure \
		--prefix=%{_prefix} \
		--sysconfdir=/etc \
		--libdir=%{_libdir} \
		--infodir=%{_infodir} \
		--libexecdir=%{_prefix}/lib/dirmngr
make 

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc %_infodir/dirmngr*
/usr/bin/*
/usr/share/locale/de/LC_MESSAGES/dirmngr.mo
%{_prefix}/lib/dirmngr

%changelog -n dirmngr
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 26 2005 - ro@suse.de
- added LDAP_DEPRECATED to CFLAGS
* Mon Jul 11 2005 - postadal@suse.cz
- updated to version 0.9.2
- removed obsoleted patch 64bit.diff
- link against libpth 2.0.4 staticaly, hopefully we can convert
  this to a native thread implementation later.
* Mon Jan 24 2005 - ro@suse.de
- find ldap on lib64
* Wed Jan 12 2005 - postadal@suse.cz
- updated to version 0.5.65.65.65.65.6
- removed obsoleted patch libldap.diff
* Fri Jul 23 2004 - schwab@suse.de
- Fix neededforbuild.
- Fix 64-bit bugs.
* Tue Jul 13 2004 - adrian@suse.de
- update to version 0.5.5
* Fri Feb 20 2004 - mmj@suse.de
- Add libgpg-error to #nfb
- Adapt some functions to the new libgcrypt version
* Wed Feb 18 2004 - kukuk@suse.de
- Remove package name requires, RPM can handle this better
- Don't build with libpth
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Mon Jun 02 2003 - mc@suse.de
- switch to version 0.4.5. This release fixes these Bugs:
  *  --flushing cache does not work
  *  dirmngr chokes on *
  *  dirmngr lookup loop
  *  only searching first ldap entry
* Mon May 12 2003 - ro@suse.de
- fix build with db-4.1
* Fri Feb 21 2003 - mc@suse.de
- fixed lib64 ldap Problem
* Fri Feb 21 2003 - mc@suse.de
- initial Version 0.4.4
- add patch to use db-4
